import { CacheType, ChatInputCommandInteraction, Message, PermissionFlagsBits, SlashCommandBuilder } from 'discord.js';
import ConfigManager from '../controller/ConfigManager';
import ChatController from '../controller/ChatController';
import { error } from 'console';

// const adminPermissions = new PermissionsBitField('Administrator');

export default {
  data: new SlashCommandBuilder()
    .setName('throw_chat_timestamp')
    .setDescription('throw chat timestamp')
    .setDefaultMemberPermissions(PermissionFlagsBits.Administrator),
  async execute(interaction: ChatInputCommandInteraction<CacheType>, config: ConfigManager) {

    await interaction.deferReply({ ephemeral: true })

    try {
      global.config.messageTime = 0

      await interaction.followUp("Время сброшено")
      return
    } catch (error) {
      await interaction.editReply("Ошибка сброса времени")
      console.log(error)
    }
  },
};
